Create schedule task
curl --request POST \
--url https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "example",
"time_offset": 1.5,
"payload": "example",
"sequence_id": 1.5,
"continue_on_failure": true
}
'import requests
url = "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks"
payload = {
"action": "example",
"time_offset": 1.5,
"payload": "example",
"sequence_id": 1.5,
"continue_on_failure": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'example',
time_offset: 1.5,
payload: 'example',
sequence_id: 1.5,
continue_on_failure: true
})
};
fetch('https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'example',
'time_offset' => 1.5,
'payload' => 'example',
'sequence_id' => 1.5,
'continue_on_failure' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks"
payload := strings.NewReader("{\n \"action\": \"example\",\n \"time_offset\": 1.5,\n \"payload\": \"example\",\n \"sequence_id\": 1.5,\n \"continue_on_failure\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"example\",\n \"time_offset\": 1.5,\n \"payload\": \"example\",\n \"sequence_id\": 1.5,\n \"continue_on_failure\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"example\",\n \"time_offset\": 1.5,\n \"payload\": \"example\",\n \"sequence_id\": 1.5,\n \"continue_on_failure\": true\n}"
response = http.request(request)
puts response.read_body{
"object": "schedule_task",
"attributes": {
"id": 151,
"sequence_id": 4,
"action": "power",
"payload": "test command",
"time_offset": 120,
"is_queued": false,
"continue_on_failure": false,
"created_at": "2026-09-22T14:45:24+00:00",
"updated_at": "2026-09-22T14:45:24+00:00"
}
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>",
"source": {
"field": "<string>"
}
}
]
}Agendamentos - Tarefas
Adicionar Tarefa
Adiciona uma nova tarefa de ação a um agendamento.
POST
/
api
/
client
/
servers
/
{server_uuid}
/
schedules
/
{schedule_id}
/
tasks
Create schedule task
curl --request POST \
--url https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "example",
"time_offset": 1.5,
"payload": "example",
"sequence_id": 1.5,
"continue_on_failure": true
}
'import requests
url = "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks"
payload = {
"action": "example",
"time_offset": 1.5,
"payload": "example",
"sequence_id": 1.5,
"continue_on_failure": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'example',
time_offset: 1.5,
payload: 'example',
sequence_id: 1.5,
continue_on_failure: true
})
};
fetch('https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'example',
'time_offset' => 1.5,
'payload' => 'example',
'sequence_id' => 1.5,
'continue_on_failure' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks"
payload := strings.NewReader("{\n \"action\": \"example\",\n \"time_offset\": 1.5,\n \"payload\": \"example\",\n \"sequence_id\": 1.5,\n \"continue_on_failure\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"example\",\n \"time_offset\": 1.5,\n \"payload\": \"example\",\n \"sequence_id\": 1.5,\n \"continue_on_failure\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"example\",\n \"time_offset\": 1.5,\n \"payload\": \"example\",\n \"sequence_id\": 1.5,\n \"continue_on_failure\": true\n}"
response = http.request(request)
puts response.read_body{
"object": "schedule_task",
"attributes": {
"id": 151,
"sequence_id": 4,
"action": "power",
"payload": "test command",
"time_offset": 120,
"is_queued": false,
"continue_on_failure": false,
"created_at": "2026-09-22T14:45:24+00:00",
"updated_at": "2026-09-22T14:45:24+00:00"
}
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"status": "<string>",
"detail": "<string>",
"source": {
"field": "<string>"
}
}
]
}string
obrigatório
Chave Client API da sua conta. Você pode gerá-la em Configurações da Conta.
string
obrigatório
Identificador exclusivo para server uuid.
string
obrigatório
Identificador exclusivo para schedule id.
Resposta
string
Tipo de recurso retornado pela API (ex:
server, stats, list, api_key).object
Atributos detalhados do recurso retornado.
Exemplo de Uso
curl -X POST "https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer SUA_CHAVE_CLIENT_API"
const response = await fetch("https://app.oryzacloud.app/api/client/servers/{server_uuid}/schedules/{schedule_id}/tasks", {
method: "POST",
headers: {
"Accept": "application/json",
"Content-Type": "application/json",
"Authorization": "Bearer SUA_CHAVE_CLIENT_API"
}
});
const data = await response.json();
console.log(data);
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
The action to perform.
Opções disponíveis:
command, power, backup Exemplo:
"example"
The delay before this task runs. Must be at least 0. Must not be greater than 900.
Exemplo:
1.5
The payload. This field is required unless action is in backup.
Exemplo:
"example"
The task execution order. Must be at least 1.
Exemplo:
1.5
Whether the schedule continues when this task fails.
Exemplo:
true